[SCM] live-build branch, debian, updated. debian/3.0_a54-1-21-g227ae76

Daniel Baumann daniel at debian.org
Sun Jul 29 00:06:35 UTC 2012


The following commit has been merged in the debian branch:
commit d360b3dc34c3206ce3fb51439be474f94942b3d3
Author: Daniel Baumann <daniel at debian.org>
Date:   Sat Jul 28 23:29:14 2012 +0200

    Handling dctrl-tools temporary installation in chroot during package-lists expansion.

diff --git a/scripts/build/lb_chroot_package-lists b/scripts/build/lb_chroot_package-lists
index 0237be1..fbb3bc7 100755
--- a/scripts/build/lb_chroot_package-lists
+++ b/scripts/build/lb_chroot_package-lists
@@ -41,6 +41,15 @@ Check_lockfile .lock
 # Creating lock file
 Create_lockfile .lock
 
+# Checking depends
+Check_package chroot/usr/bin/grep-aptavail dctrl-tools
+
+# Restoring cache
+Restore_cache cache/packages.chroot
+
+# Installing depends
+Install_package
+
 # Handling global package lists
 if [ -n "${LB_PACKAGE_LISTS}" ] && [ "${LB_PACKAGE_LISTS}" != "none" ]
 then
@@ -74,3 +83,13 @@ then
 	# Creating stage file
 	Create_stagefile .build/chroot_package-lists.${_PASS}
 fi
+
+# Saving cache
+Save_cache cache/packages.binary
+
+# Removing dctrl-tools again if the user has not installed it
+if ! grep -qs dctrl-tools chroot/root/packages.chroot
+then
+	# Removing depends
+	Remove_package
+fi

-- 
live-build



More information about the debian-live-changes mailing list